Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
radm::SerialAccessPort Interface Reference
Inheritance diagram for radm::SerialAccessPort:

## Classes
struct | DetectedInterfaceTypeChangedEvent
| Event: The detected type has changed. More...
struct | ExitCommandItem
struct | Settings
struct | SettingsChangedEvent
| Event: The port settings have changed. More...

## Public Types
enum | DeviceInterfaceType { DEV_IFTYPE_AUTO , DEV_IFTYPE_DTE , DEV_IFTYPE_DCE }
| Serial device interface type. More...
enum | Emulation { VT100 , VT220 , VT320 , ANSI }
| Terminal emulation type. More...
enum | Encoding { DEFAULT , US_ASCII , ISO_8859_1 , ISO_8859_15 , UTF_8 , SHIFT_JIS , EUC_JP , EUC_CN , EUC_KR , EIGHTBIT_ASCII }
| Character encoding. More...
enum | FlowControl { FLOW_CTRL_NONE , FLOW_CTRL_HARDWARE , FLOW_CTRL_SOFTWARE }
| Flow control type. More...
enum | Parity { PARITY_NONE , PARITY_ODD , PARITY_EVEN }
| Parity mode. More...
enum | EscapeKeyModifier { NO_MODIFIER , CONTROL }
Public Types inherited from radm::AccessPort
enum | Availability { AVAILABLE , OCCUPIED , BUSY , UNAVAILABLE , INACCESSIBLE }
enum | State { INACTIVE , ACTIVE }

## Public Member Functions
Device | getParent ()
| Get the parent device of this port.
Settings | getSettings ()
| Get port settings.
int | setSettings (in Settings settings)
| Set new port settings.
DeviceInterfaceType | getDetectedInterfaceType ()
| Get automatically detected interface type.
Public Member Functions inherited from radm::AccessPort
Status | getStatus ()
| Get port status.
vector< OutletPort > | getAssociatedOutletPorts ()
| Get associated outlet ports.
int | setAssociatedOutletPorts (in vector< OutletPort > associations)
| Set associated outlet ports.
int | doPowerOperation (in PowerOperation op)
| Execute power operation on associated outlet ports.
Public Member Functions inherited from radm::BasePort
Metadata | getMetadata ()
| Get port meta data.
string | getName ()
| Get port name.
int | setName (in string name)
| Set port name.

## Additional Inherited Members
Public Attributes inherited from radm::AccessPort
constant int | ERR_PDU_NOT_ACTIVE = 10
Public Attributes inherited from radm::BasePort
constant int | ERR_INVALID_ARGUMENT = 1

## Detailed Description

Definition at line 10 of file SerialAccessPort.idl.

## Member Enumeration Documentation

## ◆ DeviceInterfaceType

enum radm::SerialAccessPort::DeviceInterfaceType

Serial device interface type.

Enumerator
DEV_IFTYPE_AUTO | auto detect
DEV_IFTYPE_DTE | DTE (Data Terminal Equipment) device.
DEV_IFTYPE_DCE | DCE (Data Communications Equipment) device.

Definition at line 13 of file SerialAccessPort.idl.

## ◆ Emulation

enum radm::SerialAccessPort::Emulation

Terminal emulation type.

Definition at line 20 of file SerialAccessPort.idl.

## ◆ Encoding

enum radm::SerialAccessPort::Encoding

Character encoding.

Definition at line 28 of file SerialAccessPort.idl.

## ◆ EscapeKeyModifier

enum radm::SerialAccessPort::EscapeKeyModifier

Definition at line 55 of file SerialAccessPort.idl.

## ◆ FlowControl

enum radm::SerialAccessPort::FlowControl

Flow control type.

Enumerator
FLOW_CTRL_NONE | No flow control.
FLOW_CTRL_HARDWARE | Hardware flow control.
FLOW_CTRL_SOFTWARE | Software flow control.

Definition at line 42 of file SerialAccessPort.idl.

## ◆ Parity

enum radm::SerialAccessPort::Parity

Parity mode.

Enumerator
PARITY_NONE | No parity (implies 8 data bits)
PARITY_ODD | Odd parity (implies 7 data bits)
PARITY_EVEN | Even parity (implies 7 data bits)

Definition at line 49 of file SerialAccessPort.idl.

## Member Function Documentation

## ◆ getDetectedInterfaceType()

DeviceInterfaceType radm::SerialAccessPort::getDetectedInterfaceType | ( |  | ) |

Get automatically detected interface type.

Returns
  Detected interface type

## ◆ getParent()

Device radm::SerialAccessPort::getParent | ( |  | ) |

Get the parent device of this port.

Note: In practice, an instance of `DsamDevice` will be returned.

Returns
  Parent device

## ◆ getSettings()

Settings radm::SerialAccessPort::getSettings | ( |  | ) |

Get port settings.

Returns
  Port settings

## ◆ setSettings()

int radm::SerialAccessPort::setSettings | ( | in Settings | settings | ) |

Set new port settings.

Parameters

  settings | New settings

Returns
  0 on success
  1 if any setting value is invalid

The documentation for this interface was generated from the following file:

- SerialAccessPort.idl